<?php
function recuperer_affectations()
{
	global $bdd;

	$affectations = array();
	try{
		$reponse = $bdd->prepare("SELECT * FROM affectations WHERE affectation_etat = ?");
		$reponse -> execute(array("1"));
		while ($donnees = $reponse->fetch())
		{
			 $affectations[] = $donnees;
		}
		$reponse -> closeCursor();
	}catch (Exception $e)
	{
		die('Erreur : ' . $e->getMessage());
	}
	return $affectations;
}
function recuperer_affectations_par_cal($cal_id)
{
	global $bdd;

	$affectations = array();
	try{
		$reponse = $bdd->prepare("SELECT * FROM affectations WHERE affectation_etat = ? AND affectation_calendrier = ?");
		$reponse -> execute(array("1",$cal_id));
		while ($donnees = $reponse->fetch())
		{
			 $affectations[] = $donnees;
		}
		$reponse -> closeCursor();
	}catch (Exception $e)
	{
		die('Erreur : ' . $e->getMessage());
	}
	return $affectations;
}
function ajouter_affectation($affect_desc)
{
	global $bdd;

	try{
		$reponse = $bdd->prepare("INSERT INTO affectations (affectation_description) ".
								 "VALUES (?)");
		$reponse -> execute(array($affect_desc));
		$reponse -> closeCursor();
		return true;
	}catch (Exception $e)
	{
		die('Erreur : ' . $e->getMessage());
	}
}
function supprimer_affectation($affect_id)
{
	global $bdd;

	try{
		$reponse = $bdd->prepare("UPDATE affectations SET affectation_etat = ? WHERE affectation_id = ? AND affectation_id != ?");
		$reponse -> execute(array("0",$affect_id,"1"));
		$reponse -> closeCursor();
		return true;
	}catch (Exception $e)
	{
		die('Erreur : ' . $e->getMessage());
	}
}