<?php
function recuperer_usercal($user_id)
{
	global $bdd;

	$usercal = array();
	try{
		$reponse = $bdd->prepare("SELECT * FROM usercal WHERE user_id = ? AND usercalt_etat = ?");
		$reponse -> execute(array($user_id,"1"));
		while ($donnees = $reponse->fetch())
		{
			 $usercal[] = $donnees;
		}
		$reponse->closeCursor();
	}catch (Exception $e)
	{
		die('Erreur : ' . $e->getMessage());
	}
	return $usercal;
}
function ajouter_usercal($user_id,$cal_id,$droit_id)
{
	global $bdd;

	try{
		$reponse = $bdd->prepare("INSERT INTO usercal (user_id,calendrier_id,droit_id,usercal_etat) values(?,?,?,?)");
		$reponse -> execute(array($user_id,$cal_id,$droit_id,"1"));
		$reponse -> closeCursor();
		return true;
	}catch (Exception $e)
	{
		die('Erreur : ' . $e->getMessage());
	}

}
function supprimer_usercal($cal_id)
{
	global $bdd;

	try{
		$reponse = $bdd->prepare("DELETE FROM usercal WHERE calendrier_id = ? ");
		$reponse -> execute(array($cal_id));
		$reponse->closeCursor();
		return true;
	}catch (Exception $e)
	{
		die('Erreur : ' . $e->getMessage());
	}
}
function supprimer_usercal_par_user($user_id,$cal_id)
{
	global $bdd;

	try{
		$reponse = $bdd->prepare("DELETE FROM usercal WHERE user_id = ? AND user_id != ? AND calendrier_id = ? ");
		$reponse -> execute(array($user_id,"1",$cal_id));
		$reponse->closeCursor();
		return true;
	}catch (Exception $e)
	{
		die('Erreur : ' . $e->getMessage());
	}
}
function modifier_usercal($user_id,$cal_id,$user_droit)
{
	global $bdd;

	try{
		$reponse = $bdd->prepare("UPDATE usercal SET droit_id = ? WHERE user_id = ? AND user_id != ? AND calendrier_id = ? ");
		$reponse -> execute(array($user_droit,$user_id,"1",$cal_id));
		$reponse -> closeCursor();
		return true;
	}catch (Exception $e)
	{
		die('Erreur : ' . $e->getMessage());
	}
}
function desactiver_usercal($user_id)
{
	global $bdd;

	try{
		$reponse = $bdd->prepare("UPDATE usercal SET usercal_etat = ? WHERE user_id = ?");
		$reponse -> execute(array("0",$user_id));
		$reponse->closeCursor();
		return true;
	}catch (Exception $e)
	{
		die('Erreur : ' . $e->getMessage());
	}
}
function is_exist_usercal($user_id,$cal_id)
{
	global $bdd;

	try{
		$reponse = $bdd->prepare("SELECT count(*) AS cpt_usercal ".
								 "FROM usercal ".
								 "WHERE user_id = ? AND calendrier_id = ?");
		$reponse -> execute(array($user_id,$cal_id));
		$donnees = $reponse->fetch();
		$reponse->closeCursor();
	}catch(PDOException $e){
		echo 'Exception : '.$e->getMessage();
	}
	return $donnees['cpt_usercal'];
}
function is_exist_usercal_su($user_id)
{
	global $bdd;

	try{
		$reponse = $bdd->prepare("SELECT count(*) AS cpt_usercal ".
								 "FROM usercal ".
								 "WHERE user_id = ?");
		$reponse -> execute(array($user_id));
		$donnees = $reponse->fetch();
		$reponse->closeCursor();
	}catch(PDOException $e){
		echo 'Exception : '.$e->getMessage();
	}
	return $donnees['cpt_usercal'];
}